<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:21 BST 2009 -->
<TITLE>
DefaultGraphModel.GraphModelEdit (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.graph.DefaultGraphModel.GraphModelEdit class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultGraphModel.GraphModelEdit (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultGraphModel.GraphModelEdit.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphModel.EmptyIterator.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultGraphModel.GraphModelEdit.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.graph</FONT>
<BR>
Class DefaultGraphModel.GraphModelEdit</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/AbstractUndoableEdit.html" title="class or interface in javax.swing.undo">javax.swing.undo.AbstractUndoableEdit</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html" title="class or interface in javax.swing.undo">javax.swing.undo.CompoundEdit</A>
          <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><B>org.jgraph.graph.DefaultGraphModel.GraphModelEdit</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A>, <A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../org/jgraph/graph/DefaultGraphModel.html" title="class in org.jgraph.graph">DefaultGraphModel</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>DefaultGraphModel.GraphModelEdit</B><DT>extends <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html" title="class or interface in javax.swing.undo">CompoundEdit</A><DT>implements <A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></DL>

<P>
An implementation of GraphModelChange that can be added to the model
 event.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#org.jgraph.graph.DefaultGraphModel.GraphModelEdit">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#attributes">attributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#cellViews">cellViews</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#changed">changed</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#connectionSet">connectionSet</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#context">context</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#dirtyRegion">dirtyRegion</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The dirty region of the change prior to it happening</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#insert">insert</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#inserted">inserted</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#parentMap">parentMap</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#previousAttributes">previousAttributes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#previousConnectionSet">previousConnectionSet</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#previousParentMap">previousParentMap</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#remove">remove</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#removed">removed</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_javax.swing.undo.CompoundEdit"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class javax.swing.undo.<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html" title="class or interface in javax.swing.undo">CompoundEdit</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#edits" title="class or interface in javax.swing.undo">edits</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_javax.swing.undo.AbstractUndoableEdit"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class javax.swing.undo.<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/AbstractUndoableEdit.html" title="class or interface in javax.swing.undo">AbstractUndoableEdit</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/AbstractUndoableEdit.html#RedoName" title="class or interface in javax.swing.undo">RedoName</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/AbstractUndoableEdit.html#UndoName" title="class or interface in javax.swing.undo">UndoName</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#DefaultGraphModel.GraphModelEdit(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)">DefaultGraphModel.GraphModelEdit</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;inserted,
                                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;removed,
                                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
                                 <A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;connectionSet,
                                 <A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;parentMap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an edit record.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#changeChildCount(java.util.Map, java.lang.Object, int)">changeChildCount</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;childCount,
                 <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;parent,
                 int&nbsp;change)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#execute()">execute</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Execute this edit such that the next invocation to this method will
 invert the last execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#filterParents(java.util.Map, int)">filterParents</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;childCount,
              int&nbsp;children)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getAttributes()">getAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a map of (object, view attributes).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getChanged()">getChanged</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the cells that have changed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getConnectionSet()">getConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the connectionSet.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getContext()">getContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the objects that have not changed explicitly, but implicitly
 because one of their dependent cells has changed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getDirtyRegion()">getDirtyRegion</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the dirty region for the original position of the
 changed cells before the change happened.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getInserted()">getInserted</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the cells that were inserted.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getParentMap()">getParentMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the parentMap.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getPreviousAttributes()">getPreviousAttributes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a map that contains (object, map) pairs of the attributes
 that have been stored in the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getPreviousConnectionSet()">getPreviousConnectionSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a connection set representing the graph structure before the
 change was applied ( an "undo" of the change).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getPreviousParentMap()">getPreviousParentMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a parent map representing the group structure before the
 change was applied ( an "undo" of the change )</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getRemoved()">getRemoved</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the cells that were inserted.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getSource()">getSource</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the source of this change.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#getViews(org.jgraph.graph.GraphLayoutCache)">getViews</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;view)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Allows a <code>GraphLayoutCache</code> to retrieve an array of
 <code>CellViews</code> that was previously stored with
 <code>putViews(GraphLayoutCache, CellView[])</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#handleEmptyGroups(java.lang.Object[])">handleEmptyGroups</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;groups)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the groups that become empty to the cells that will be removed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#isSignificant()">isSignificant</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#putViews(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.CellView[])">putViews</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;view,
         <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;views)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Allows a <code>GraphLayoutCache</code> to store cell views for
 cells that have been removed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#redo()">redo</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Redoes a change.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#setDirtyRegion(java.awt.geom.Rectangle2D)">setDirtyRegion</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;dirty)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;In some cases the class firing this event will not have access
 to the dirty region prior to the change.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelEdit.html#undo()">undo</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Undoes a change.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_javax.swing.undo.CompoundEdit"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class javax.swing.undo.<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html" title="class or interface in javax.swing.undo">CompoundEdit</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#addEdit(javax.swing.undo.UndoableEdit)" title="class or interface in javax.swing.undo">addEdit</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#canRedo()" title="class or interface in javax.swing.undo">canRedo</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#canUndo()" title="class or interface in javax.swing.undo">canUndo</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#die()" title="class or interface in javax.swing.undo">die</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#end()" title="class or interface in javax.swing.undo">end</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#getPresentationName()" title="class or interface in javax.swing.undo">getPresentationName</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#getRedoPresentationName()" title="class or interface in javax.swing.undo">getRedoPresentationName</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#getUndoPresentationName()" title="class or interface in javax.swing.undo">getUndoPresentationName</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#isInProgress()" title="class or interface in javax.swing.undo">isInProgress</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CompoundEdit.html#lastEdit()" title="class or interface in javax.swing.undo">lastEdit</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_javax.swing.undo.AbstractUndoableEdit"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class javax.swing.undo.<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/AbstractUndoableEdit.html" title="class or interface in javax.swing.undo">AbstractUndoableEdit</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/AbstractUndoableEdit.html#replaceEdit(javax.swing.undo.UndoableEdit)" title="class or interface in javax.swing.undo">replaceEdit</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="insert"><!-- --></A><H3>
insert</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>insert</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="changed"><!-- --></A><H3>
changed</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>changed</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="remove"><!-- --></A><H3>
remove</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>remove</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="context"><!-- --></A><H3>
context</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>context</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="inserted"><!-- --></A><H3>
inserted</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>inserted</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="removed"><!-- --></A><H3>
removed</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>removed</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="attributes"><!-- --></A><H3>
attributes</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A> <B>attributes</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="previousAttributes"><!-- --></A><H3>
previousAttributes</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A> <B>previousAttributes</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="parentMap"><!-- --></A><H3>
parentMap</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A> <B>parentMap</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="previousParentMap"><!-- --></A><H3>
previousParentMap</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A> <B>previousParentMap</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="dirtyRegion"><!-- --></A><H3>
dirtyRegion</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>dirtyRegion</B></PRE>
<DL>
<DD>The dirty region of the change prior to it happening
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="connectionSet"><!-- --></A><H3>
connectionSet</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> <B>connectionSet</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="previousConnectionSet"><!-- --></A><H3>
previousConnectionSet</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> <B>previousConnectionSet</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="cellViews"><!-- --></A><H3>
cellViews</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A> <B>cellViews</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="DefaultGraphModel.GraphModelEdit(java.lang.Object[], java.lang.Object[], java.util.Map, org.jgraph.graph.ConnectionSet, org.jgraph.graph.ParentMap)"><!-- --></A><H3>
DefaultGraphModel.GraphModelEdit</H3>
<PRE>
public <B>DefaultGraphModel.GraphModelEdit</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;inserted,
                                        <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;removed,
                                        <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;attributes,
                                        <A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A>&nbsp;connectionSet,
                                        <A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A>&nbsp;parentMap)</PRE>
<DL>
<DD>Constructs an edit record.
<P>
<DT><B>Parameters:</B><DD><CODE>inserted</CODE> - a set of roots that were inserted<DD><CODE>removed</CODE> - a set of elements that were removed<DD><CODE>attributes</CODE> - the attribute changes made by the edit<DD><CODE>connectionSet</CODE> - the set of changed connections<DD><CODE>parentMap</CODE> - the map of changed parents</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="filterParents(java.util.Map, int)"><!-- --></A><H3>
filterParents</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>filterParents</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;childCount,
                              int&nbsp;children)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="changeChildCount(java.util.Map, java.lang.Object, int)"><!-- --></A><H3>
changeChildCount</H3>
<PRE>
protected void <B>changeChildCount</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&nbsp;childCount,
                                <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;parent,
                                int&nbsp;change)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="handleEmptyGroups(java.lang.Object[])"><!-- --></A><H3>
handleEmptyGroups</H3>
<PRE>
protected void <B>handleEmptyGroups</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;groups)</PRE>
<DL>
<DD>Adds the groups that become empty to the cells that will be removed.
 (Auto remove empty cells.) Removed cells will be re-inserted on undo,
 and the parent- child relations will be restored.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isSignificant()"><!-- --></A><H3>
isSignificant</H3>
<PRE>
public boolean <B>isSignificant</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html#isSignificant()" title="class or interface in javax.swing.undo">isSignificant</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSource()"><!-- --></A><H3>
getSource</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getSource</B>()</PRE>
<DL>
<DD>Returns the source of this change. This can either be a view or a
 model, if this change is a GraphModelChange.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getSource()">getSource</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the source fo this change</DL>
</DD>
</DL>
<HR>

<A NAME="getChanged()"><!-- --></A><H3>
getChanged</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getChanged</B>()</PRE>
<DL>
<DD>Returns the cells that have changed. This includes the cells that
 have been changed through a call to getAttributes and the edges that
 have been changed with the ConnectionSet.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getChanged()">getChanged</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the cell changed</DL>
</DD>
</DL>
<HR>

<A NAME="getContext()"><!-- --></A><H3>
getContext</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getContext</B>()</PRE>
<DL>
<DD>Returns the objects that have not changed explicitly, but implicitly
 because one of their dependent cells has changed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getContext()">getContext</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>array of contextual cells</DL>
</DD>
</DL>
<HR>

<A NAME="getInserted()"><!-- --></A><H3>
getInserted</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getInserted</B>()</PRE>
<DL>
<DD>Returns the cells that were inserted.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getInserted()">getInserted</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the cells that were inserted by the change</DL>
</DD>
</DL>
<HR>

<A NAME="getRemoved()"><!-- --></A><H3>
getRemoved</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getRemoved</B>()</PRE>
<DL>
<DD>Returns the cells that were inserted.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getRemoved()">getRemoved</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the cells that were removed by the change</DL>
</DD>
</DL>
<HR>

<A NAME="getPreviousAttributes()"><!-- --></A><H3>
getPreviousAttributes</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A> <B>getPreviousAttributes</B>()</PRE>
<DL>
<DD>Returns a map that contains (object, map) pairs of the attributes
 that have been stored in the model.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getPreviousAttributes()">getPreviousAttributes</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>map of attributes before the change</DL>
</DD>
</DL>
<HR>

<A NAME="getAttributes()"><!-- --></A><H3>
getAttributes</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A> <B>getAttributes</B>()</PRE>
<DL>
<DD>Returns a map of (object, view attributes). The objects are model
 objects which need to be mapped to views.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getAttributes()">getAttributes</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionSet()"><!-- --></A><H3>
getConnectionSet</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> <B>getConnectionSet</B>()</PRE>
<DL>
<DD>Returns the connectionSet.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getConnectionSet()">getConnectionSet</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>ConnectionSet</DL>
</DD>
</DL>
<HR>

<A NAME="getPreviousConnectionSet()"><!-- --></A><H3>
getPreviousConnectionSet</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/ConnectionSet.html" title="class in org.jgraph.graph">ConnectionSet</A> <B>getPreviousConnectionSet</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></B></DD>
<DD>Returns a connection set representing the graph structure before the
 change was applied ( an "undo" of the change).
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getPreviousConnectionSet()">getPreviousConnectionSet</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the connection set of the graph before the change</DL>
</DD>
</DL>
<HR>

<A NAME="getParentMap()"><!-- --></A><H3>
getParentMap</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A> <B>getParentMap</B>()</PRE>
<DL>
<DD>Returns the parentMap.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getParentMap()">getParentMap</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>ParentMap</DL>
</DD>
</DL>
<HR>

<A NAME="getPreviousParentMap()"><!-- --></A><H3>
getPreviousParentMap</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/ParentMap.html" title="class in org.jgraph.graph">ParentMap</A> <B>getPreviousParentMap</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></B></DD>
<DD>Returns a parent map representing the group structure before the
 change was applied ( an "undo" of the change )
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getPreviousParentMap()">getPreviousParentMap</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the previous parent map</DL>
</DD>
</DL>
<HR>

<A NAME="getDirtyRegion()"><!-- --></A><H3>
getDirtyRegion</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A> <B>getDirtyRegion</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></B></DD>
<DD>Returns the dirty region for the original position of the
 changed cells before the change happened.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#getDirtyRegion()">getDirtyRegion</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the dirty region prior to the event</DL>
</DD>
</DL>
<HR>

<A NAME="setDirtyRegion(java.awt.geom.Rectangle2D)"><!-- --></A><H3>
setDirtyRegion</H3>
<PRE>
public void <B>setDirtyRegion</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/geom/Rectangle2D.html" title="class or interface in java.awt.geom">Rectangle2D</A>&nbsp;dirty)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></B></DD>
<DD>In some cases the class firing this event will not have access
 to the dirty region prior to the change. It is then up to the
 receiving class to set it once.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html#setDirtyRegion(java.awt.geom.Rectangle2D)">setDirtyRegion</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphLayoutCacheEvent.GraphLayoutCacheChange.html" title="interface in org.jgraph.event">GraphLayoutCacheEvent.GraphLayoutCacheChange</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dirty</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="redo()"><!-- --></A><H3>
redo</H3>
<PRE>
public void <B>redo</B>()
          throws <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CannotRedoException.html" title="class or interface in javax.swing.undo">CannotRedoException</A></PRE>
<DL>
<DD>Redoes a change.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html#redo()" title="class or interface in javax.swing.undo">redo</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CannotRedoException.html" title="class or interface in javax.swing.undo">CannotRedoException</A></CODE> - if the change cannot be redone</DL>
</DD>
</DL>
<HR>

<A NAME="undo()"><!-- --></A><H3>
undo</H3>
<PRE>
public void <B>undo</B>()
          throws <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CannotUndoException.html" title="class or interface in javax.swing.undo">CannotUndoException</A></PRE>
<DL>
<DD>Undoes a change.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html#undo()" title="class or interface in javax.swing.undo">undo</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/UndoableEdit.html" title="class or interface in javax.swing.undo">UndoableEdit</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/undo/CannotUndoException.html" title="class or interface in javax.swing.undo">CannotUndoException</A></CODE> - if the change cannot be undone</DL>
</DD>
</DL>
<HR>

<A NAME="execute()"><!-- --></A><H3>
execute</H3>
<PRE>
public void <B>execute</B>()</PRE>
<DL>
<DD>Execute this edit such that the next invocation to this method will
 invert the last execution.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="putViews(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.CellView[])"><!-- --></A><H3>
putViews</H3>
<PRE>
public void <B>putViews</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;view,
                     <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[]&nbsp;views)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></B></DD>
<DD>Allows a <code>GraphLayoutCache</code> to store cell views for
 cells that have been removed. Such cell views are used for
 re-insertion and restoring the visual attributes.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#putViews(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.CellView[])">putViews</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>view</CODE> - the <code>GraphLayoutCache</code> to store the removed
            cells<DD><CODE>views</CODE> - the cell views to be stored</DL>
</DD>
</DL>
<HR>

<A NAME="getViews(org.jgraph.graph.GraphLayoutCache)"><!-- --></A><H3>
getViews</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>[] <B>getViews</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;view)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></B></DD>
<DD>Allows a <code>GraphLayoutCache</code> to retrieve an array of
 <code>CellViews</code> that was previously stored with
 <code>putViews(GraphLayoutCache, CellView[])</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html#getViews(org.jgraph.graph.GraphLayoutCache)">getViews</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphModelEvent.GraphModelChange.html" title="interface in org.jgraph.event">GraphModelEvent.GraphModelChange</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>view</CODE> - the <code>GraphLayoutCache</code> whose stored cells are
            to be retrieved</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>toString</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultGraphModel.GraphModelEdit.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphModel.EmptyIterator.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultGraphModel.GraphModelEdit.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
